﻿using System;
using System.Drawing;
using System.Windows.Forms;
using Timer = System.Windows.Forms.Timer;

namespace CnblogsClient
{
    public partial class Tip : Form
    {
        private readonly Timer _timer = new Timer();

        public Tip()
        {
            InitializeComponent();
            _timer.Interval = 3000;
            _timer.Tick += timer_Tick;
        }

        /// <summary>
        /// 弹出提示框，3秒钟后自动关闭
        /// </summary>
        /// <param name="tip">提示信息</param>
        /// <param name="foreColor">提示文字颜色</param>
        public void ShowTip(string tip, Color foreColor)
        {
            lblTip.Text = tip;
            lblTip.ForeColor = foreColor;
            Width = lblTip.Width;
            _timer.Start();
            Show();
        }

        private void timer_Tick(object sender, EventArgs e)
        {
            _timer.Stop();
            Hide();
        }

        private void lblTip_Click(object sender, EventArgs e)
        {
            Hide();
            _timer.Stop();
        }
    }
}